> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a request

> Returns the status, type, and timing metadata for a run.

Pass the `request_id` returned when you invoked a prompt, workflow, agent, or Hive Agent.




## OpenAPI

````yaml /openapi.yaml get /v1/public/requests/{id}
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/requests/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: >-
          Request ID from a Fetch Hive API response (for example,
          `req_019b1ad1193763f2367afc4cda5ab9df`).
        schema:
          type: string
    get:
      tags:
        - Requests
      summary: Get a request
      description: >
        Returns the status, type, and timing metadata for a run.


        Pass the `request_id` returned when you invoked a prompt, workflow,
        agent, or Hive Agent.
      responses:
        '200':
          description: request returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  request_id:
                    type: string
                    example: req_019b1ad1193763f2367afc4cda5ab9df
                  status:
                    type: string
                    example: completed
                  request_type:
                    type: string
                    example: prompt_completion
                  requestable_type:
                    type: string
                    nullable: true
                    example: Completion
                  requestable_id:
                    type: string
                    format: uuid
                    nullable: true
                  message:
                    type: string
                    nullable: true
                  generated_at:
                    type: string
                    format: date-time
                    nullable: true
                  started_at:
                    type: string
                    format: date-time
                    nullable: true
                  ended_at:
                    type: string
                    format: date-time
                    nullable: true
                  metadata:
                    type: object
                    additionalProperties: true
                  user_metadata:
                    type: object
                    additionalProperties: true
                  data:
                    type: object
                    nullable: true
                    additionalProperties: true
                required:
                  - request_id
                  - status
                  - request_type
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
        '404':
          description: request not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Request not found
                required:
                  - error
      security:
        - bearer_auth: []
components:
  schemas:
    error_response:
      type: object
      properties:
        error:
          type: string
          example: Invalid access.
      required:
        - error
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: 'Workspace API key sent as `Authorization: Bearer <api_key>`.'

````